/*
 * Copyright (c) "Neo4j"
 * Neo4j Sweden AB [http://neo4j.com]
 *
 * This file is part of Neo4j.
 *
 * Neo4j is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.neo4j.internal.batchimport.staging;

import org.neo4j.internal.batchimport.Configuration;
import org.neo4j.io.pagecache.context.CursorContext;

import static org.neo4j.io.pagecache.tracing.PageCacheTracer.NULL;

public class DeadEndStep extends ProcessorStep<Object>
{
    public DeadEndStep( StageControl control )
    {
        super( control, "END", Configuration.DEFAULT, 1, NULL );
    }

    @Override
    protected void process( Object batch, BatchSender sender, CursorContext cursorContext )
    {
    }
}
